package dw.samples.ldapcontrols;

import javax.naming.ldap.Control;

/**
 * A Java control class to employ the Tree Delete Control.
 * 
 * developerWorks, Take advantage of IBM Tivoli Directory Server's LDAP Controls
 * via Java and JNDI, Listing 3: A simple class for the Tree Delete Control.
 * 
 * @author Stefan Zoerner
 */
public class TreeDeleteControl implements Control {

    public String getID() {
        return "1.2.840.113556.1.4.805";
    }

    public boolean isCritical() {
        return Control.CRITICAL;
    }

    public byte[] getEncodedValue() {
        return null;
    }
}